/*
 * skynet_mongo.h
 *
 * Author: Miha Nedok <mike@mike.si>
 */

#ifndef SKYNET_MONGO_H_
#define SKYNET_MONGO_H_


int skynet_mongo_insert(mongo *conn,const char *mongoDb,const char *collection,bson *b);
int skynet_mongo_client(mongo *conn,const char *host,int port,const char *dbOrNull,const char *usernameOrNull, const char *passwordOrNull);
bson* skynet_mongo_read(mongo *conn,const char *mongoDb, const char *collection,bson *query);


char* bson_str_val(bson_iterator *iter,const bson *cursor,const char *field);


#endif /* SKYNET_MONGO_H_ */
